Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.mappers.slicing.StripBoundariesSamples

class `mvpa2.mappers.slicing.``StripBoundariesSamples`(space, prestrip, poststrip, **kwargs)

  Strip samples on boundaries defines by sample attribute values.

  A sample attribute of a dataset is scanned for consecutive blocks of identical values. Every change in the value is treated as a boundary and custom number of samples is removed prior and after this boundary.

  Notes

  Available conditional attributes:

  - `calling_time+`: Time (in seconds) it took to call the node
  - `raw_results`: Computed results before invoking postproc. Stored only if postproc is not None.

  (Conditional attributes enabled by default suffixed with `+`)

  Methods

  `generate`(ds) | Yield processing results.
  `get_postproc`() | Returns the post-processing node or None.
  `get_space`() | Query the processing space name of this node.
  `reset`() |
  `set_postproc`(node) | Assigns a post-processing node Set to `None` to disable postprocessing.
  `set_space`(name) | Set the processing space name of this node.

  Parameters:

  space : str

  > name of the sample attribute that shall be used to determine the boundaries.

  prestrip : int

  > Number of samples to be stripped prior to each boundary.

  poststrip : int

  > Number of samples to be stripped after each boundary (this includes the boundary sample itself, i.e. the first samples with a different sample attribute value).

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  postproc : Node instance, optional

  > Node to perform post-processing of results. This node is applied in `__call__()` to perform a final processing step on the to be result dataset. If None, nothing is done.

  descr : str

  > Description of the instance

  Methods

  `generate`(ds) | Yield processing results.
  `get_postproc`() | Returns the post-processing node or None.
  `get_space`() | Query the processing space name of this node.
  `reset`() |
  `set_postproc`(node) | Assigns a post-processing node Set to `None` to disable postprocessing.
  `set_space`(name) | Set the processing space name of this node.

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »